#!/usr/bin/perl

use File::Find;

die <<USAGE
usage:   $0 <absolute fonts base dir> < absolute staroffice base dir>
example: $0 /home/arch/fonts /opt/so-5.1
limitations: do not have error handling; make links for all fonts
USAGE
    until @ARGV == 2;

($fonts, $so) = @ARGV[0, 1];

find sub { push(@all, $File::Find::name) if /\.(pfb|afm)$/; }, $fonts;
map { push(@pfb, $_) if /pfb$/; } @all;
map { push(@afm, $_) if /afm$/; } @all;

sub myLink { map { m#.*/(.*)#; symlink $_, $1; } @_; }

chdir "$so/xp3/pssoftfonts";     myLink(@pfb);
chdir "$so/xp3/fontmetrics/afm"; myLink(@afm);
